CREATE TABLE `npc_service_graphs` (
                    `service_graph_id` int(11) NOT NULL auto_increment,
                    `service_object_id` int(11) NOT NULL,
                    `local_graph_id` mediumint(8) unsigned NOT NULL,
                    `pri` tinyint(1) default 1,
                    PRIMARY KEY  (`service_graph_id`),
                    KEY `idx1` (`service_object_id`)
                  ) ENGINE=InnoDB;

CREATE TABLE `npc_host_graphs` (
                    `host_graph_id` int(11) NOT NULL auto_increment,
                    `host_object_id` int(11) NOT NULL,
                    `local_graph_id` mediumint(8) unsigned NOT NULL,
                    `pri` tinyint(1) default 1,
                    PRIMARY KEY  (`host_graph_id`),
                    KEY `idx1` (`host_object_id`)
                  ) ENGINE=InnoDB;

CREATE TABLE `npc_settings` (
                    `user_id` mediumint(8) unsigned NOT NULL,
                    `settings` text default null,
                    PRIMARY KEY  (`user_id`)
                  ) ENGINE=InnoDB COMMENT='NPC user settings';
